Debian Bug report logs - #343897
ftp.debian.org: Please remove all webmin related packages

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: jaldhar@debian.org

Date: Sun, 18 Dec 2005 16:33:04 UTC

Severity: wishlist

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#343897; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to jaldhar@debian.org:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Jaldhar H. Vyas" <jaldhar@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ftp.debian.org: Please remove all webmin related packages
Date: Sun, 18 Dec 2005 10:31:13 -0600
Package: ftp.debian.org
Severity: wishlist

I am asking for the immediate removal of the following source packages and 
all their binaries:

usermin
usermin-contrib
webmin
webmin-cluster
webmin-contrib
webmin-exim
webmin-extra
webmin-optional
webmin-snort
webmin-virtual-server

It should be blindingly obvious that these packages are not really being
maintained anymore.  I have always been more or less the only person looking
after them.  I have had a lot of positive feedback from users (and even some
money on occasion) but I'm finding less and less time and motivation to keep
at it.  It is better to drop them now rather than perpetrate the cruel joke 
that these are Debian-quality packages; especially because newbies often 
rely on webmin to administer their systems and keep them secure.  And we owe
it to Jamie Cameron, the author of webmin, not to besmirch his name and product 
with buggy crap. 

Why don't I just orphan them?  Well I already tried that and I'm sure like 
then, there will be an initial flurry of interest and offers to help but they
almost never pan out.  I ended up doing all the work anyway.  If someone 
really, really wants webmin in Debian, they should prove it by doing an ITP and
reintroducing it themselves.

There is one current security problem in sarge which I will assist the 
security team with resolving but other than that, as of this day I wash my 
hands of webmin.


-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.6.10-xenU-p4-e1000
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to jaldhar@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 343897-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 343897-close@bugs.debian.org
Cc: usermin@packages.debian.org, usermin@packages.qa.debian.org, usermin-contrib@packages.debian.org, usermin-contrib@packages.qa.debian.org, webmin@packages.debian.org, webmin@packages.qa.debian.org, webmin-cluster@packages.debian.org, webmin-cluster@packages.qa.debian.org, webmin-contrib@packages.debian.org, webmin-contrib@packages.qa.debian.org, webmin-exim@packages.debian.org, webmin-exim@packages.qa.debian.org, webmin-extra@packages.debian.org, webmin-extra@packages.qa.debian.org, webmin-optional@packages.debian.org, webmin-optional@packages.qa.debian.org, webmin-snort@packages.debian.org, webmin-snort@packages.qa.debian.org, webmin-virtual-server@packages.debian.org, webmin-virtual-server@packages.qa.debian.org
Subject: Bug#343897: fixed
Date: Thu, 12 Jan 2006 07:29:45 -0800
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

   usermin |    1.160-1 | source, all
usermin-at |    1.160-1 | all
usermin-changepass |    1.160-1 | all
usermin-chfn |    1.160-1 | all
usermin-commands |    1.160-1 | all
usermin-contrib |    1.150-1 | source
usermin-cron |    1.160-1 | all
usermin-cshrc |    1.160-1 | all
usermin-fetchmail |    1.160-1 | all
usermin-filemanager |    1.150-1 | all
usermin-forward |    1.160-1 | all
usermin-gnupg |    1.160-1 | all
usermin-htaccess |    1.160-1 | all
usermin-htpasswd |    1.160-1 | all
usermin-mailbox |    1.160-1 | all
usermin-man |    1.160-1 | all
usermin-mysql |    1.160-1 | all
usermin-plan |    1.160-1 | all
usermin-postgresql |    1.160-1 | all
usermin-proc |    1.160-1 | all
usermin-procmail |    1.160-1 | all
usermin-quota |    1.160-1 | all
usermin-schedule |    1.160-1 | all
usermin-shell |    1.160-1 | all
usermin-spamassassin |    1.160-1 | all
usermin-ssh |    1.160-1 | all
usermin-telnet |    1.150-1 | all
usermin-tunnel |    1.160-1 | all
usermin-updown |    1.160-1 | all
usermin-usermount |    1.160-1 | all
    webmin |    1.230-1 | source, all
webmin-adsl |    1.220-2 | all
webmin-apache |    1.220-2 | all
webmin-bandwidth |    1.220-2 | all
webmin-bind |    1.220-1 | all
webmin-burner |    1.220-2 | all
webmin-cfengine |    1.220-2 | all
webmin-cluster |    1.220-1 | source, all
webmin-contrib |    1.220-1 | source
webmin-core |    1.230-1 | all
webmin-cpan |    1.220-2 | all
webmin-dhcpd |    1.220-2 | all
webmin-exim |    0.2.6-3 | source, all
webmin-exports |    1.220-2 | all
webmin-extra |    1.220-1 | source
webmin-fetchmail |    1.220-1 | all
webmin-filemanager |    1.220-1 | all
webmin-firewall |    1.220-1 | all
webmin-freeswan |    1.220-2 | all
webmin-frox |    1.220-2 | all
webmin-fsdump |    1.220-2 | all
webmin-grub |    1.220-1 | hurd-i386, i386
webmin-heartbeat |    1.220-2 | all
webmin-htaccess |    1.220-2 | all
webmin-inetd |    1.220-1 | all
webmin-jabber |    1.220-2 | all
webmin-krb5 |    1.220-2 | all
webmin-ldap-useradmin |    1.220-2 | all
webmin-lilo |    1.220-1 | i386
webmin-logrotate |    1.220-2 | all
webmin-lpadmin |    1.220-2 | all
webmin-lvm |    1.220-1 | all
webmin-mailboxes |    1.220-2 | all
webmin-mon |    1.220-2 | all
webmin-mysql |    1.220-2 | all
webmin-nis |    1.220-1 | all
webmin-openslp |    1.220-2 | all
webmin-optional |    1.220-2 | source
webmin-postfix |    1.220-1 | all
webmin-postgresql |    1.220-2 | all
webmin-ppp |    1.220-2 | all
webmin-pptp-client |    1.220-2 | all
webmin-pptp-server |    1.220-2 | all
webmin-procmail |    1.220-2 | all
webmin-proftpd |    1.220-1 | all
webmin-pserver |    1.220-2 | all
webmin-qmailadmin |    1.220-1 | all
webmin-quota |    1.220-2 | all
webmin-samba |    1.220-2 | all
webmin-sarg |    1.220-2 | all
webmin-sendmail |    1.220-1 | all
webmin-sentry |    1.220-1 | all
webmin-shorewall |    1.220-1 | all
webmin-smart-status |    1.220-2 | all
webmin-snort |      1.1-4 | source, all
webmin-software |    1.220-2 | all
webmin-spamassassin |    1.220-2 | all
webmin-squid |    1.220-2 | all
webmin-sshd |    1.220-2 | all
webmin-status |    1.220-2 | all
webmin-stunnel |    1.220-2 | all
webmin-telnet |    1.220-1 | all
webmin-tunnel |    1.220-2 | all
webmin-updown |    1.220-2 | all
webmin-usermin |    1.220-1 | all
webmin-vgetty |    1.220-2 | all
webmin-virtual-server |     2.50-1 | source, all
webmin-webalizer |    1.220-2 | all
webmin-wuftpd |    1.220-1 | all
webmin-wvdial |    1.220-2 | all
webmin-xinetd |    1.220-1 | all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 343897@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 22:05:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:32:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.